Save invoicing setup
curl --request POST \
--url https://sandbox.tight.com/v6/invoicing/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandColor": "4A90D9",
"defaultNote": "Thank you for your business!",
"defaultTerm": {
"type": "NET_30",
"dueDate": "2025-07-26"
},
"defaultReminderRecurrence": {
"frequency": "WEEKLY",
"interval": 1
},
"reimbursableMarkUpPercent": "15.0",
"setupComplete": true
}
'import requests
url = "https://sandbox.tight.com/v6/invoicing/setup"
payload = {
"brandColor": "4A90D9",
"defaultNote": "Thank you for your business!",
"defaultTerm": {
"type": "NET_30",
"dueDate": "2025-07-26"
},
"defaultReminderRecurrence": {
"frequency": "WEEKLY",
"interval": 1
},
"reimbursableMarkUpPercent": "15.0",
"setupComplete": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandColor: '4A90D9',
defaultNote: 'Thank you for your business!',
defaultTerm: {type: 'NET_30', dueDate: '2025-07-26'},
defaultReminderRecurrence: {frequency: 'WEEKLY', interval: 1},
reimbursableMarkUpPercent: '15.0',
setupComplete: true
})
};
fetch('https://sandbox.tight.com/v6/invoicing/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"brandColor": "4A90D9",
"defaultNote": "Thank you for your business!",
"defaultTerm": {
"type": "NET_30",
"dueDate": "2025-07-26"
},
"defaultReminderRecurrence": {
"frequency": "WEEKLY",
"interval": 1
},
"reimbursableMarkUpPercent": "15.0",
"setupComplete": true
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Invoicing (A/R)
Save invoicing setup
Save invoicing setup configuration for the authenticated user
POST
/
v6
/
invoicing
/
setup
Save invoicing setup
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
The primary brand color as a six digit hexadecimal value
Example:
"4A90D9"
Default invoice message, appended at the end of the invoice
Example:
"Thank you for your business!"
Default invoice payment term
Show child attributes
Show child attributes
Default invoice reminder recurrence
Show child attributes
Show child attributes
Default expense reimbursable mark-up percentage
Example:
"15.0"
Whether the user has completed all invoice setup steps
Example:
true
⌘I